<?php


namespace Shop\Application\Analytics\CreateTransaction;


use Shop\Domain\CustomerOrder\Contracts\CustomerOrderEntityInterface;

class CreateTransactionCommand
{

    /**
     * @var CustomerOrderEntityInterface
     */
    protected $order;

    public function __construct(CustomerOrderEntityInterface $order)
    {
        $this->order = $order;
    }

    /**
     * @return CustomerOrderEntityInterface
     */
    public function getOrder(): CustomerOrderEntityInterface
    {
        return $this->order;
    }


}